Subject: calling giveup_altivec on machine with no altivec!?

From: Troy Benjegerdes <[email-masked]>
Date: Thu, 15 Feb 2001 16:06:58 -0600

My Motorola MTX just crashed after the following code in _swithc_to
executed:

	if ((prev->thread.regs && (prev->thread.regs->msr & MSR_VEC)))
		giveup_altivec(prev);

Somehow prev->thread.regs->msr & MSR_VEC turned out true. I'm suspecting
something got overwritten somewhere..

This is an SMP machine so I'm wondering if there wasn't a race condition
on something with task structs..

--------------------------------------------------------------------------
Troy Benjegerdes                'da hozer'                [email-masked]

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/